utils
Scout API 1.0.0 — see schemas for shared types.
POST /api/utils/chunk-document
get_chunked_document
Responses
- 200 — OK
application/json→ ChunkDocumentResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/utils/get-file-text-content
get_file_text_content
Request body
Content-Type: multipart/form-data
Schema: FileTextContentForm
Responses
- 200 — OK
application/json→ FileTextContentResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/utils/improve-prompt
improve_prompt
Request body
Content-Type: application/json
Schema: ImprovePromptRequest
Responses
- 200 — OK
application/json→ ImprovePromptResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/utils/llm-filter-documents
llm_filter_result_blueprint_function
Request body
Content-Type: application/json
Schema: LLMFilterDocumentsRequest
Responses
- 200 — OK
application/json→ LLMFilterDocumentsResponse- 422 — Unprocessable Content
application/json→ ValidationError